* PACKAGE IFOPN  !" ファイルのオープン 
*
*"  [HIS]  90/11/02(numaguti)
*
*
************************************************************************
      SUBROUTINE IFLOPN      !"  ファイルのオープン 
     O         ( IFILE , IERR  ,
     I           HFILE , IFILED, HACT  , HFORM   )
*
      INTEGER    IFILE                       !" 装置番号
      INTEGER    IERR                        !" エラー≠０
      CHARACTER  HFILE *(*)                  !" ファイル名
      INTEGER    IFILED                      !" デフォルト装置番号
      CHARACTER  HACT  *(*)                  !" 読み／書き
      CHARACTER  HFORM *(*)                  !" フォーマット
*
#ifdef SYS_IBMS
      INCLUDE   (ZHDIM)                      !" 文字数
#else
#include        "zhdim.F"                    !" 文字数
#endif
      CHARACTER  HDSET *(NCC)                !" データセット名
      CHARACTER  HFILX *(NFILN)              !" ファイル名
*
      HFILX = HFILE
      CALL GTCGET ( 'DDSET', HDSET )
      CALL MKFILN ( HFILX  , '%'   , HDSET  )
*
      CALL GFOPEN
     O            ( IFILE  , IERR  ,
     I              HFILX  , IFILED, HACT  , HFORM   )
*
      IF ( IERR .EQ. 0 ) THEN
         WRITE ( 6,* ) ' *** FILE OPEND for ', HACT ,' NAME = ', HFILX
      ENDIF
*
      RETURN
      END
